View Issue Details

IDProjectCategoryView StatusLast Update
0002541SOGoBackend Calendarpublic2014-03-14 09:31
ReporterChristian Mack Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.1b 
Target Version2.2.0Fixed in Version2.2.2 
Summary0002541: overbooking of resources without warning
Description

You can book a resource in three ways.
A) You can invite a resource to your event.
B) The resource owner can create an event in her personal calendar.
C) Admins of the resource (with create permissions) can create an event in the
personal calendar of the resource.

You get an error if you try to overbook via A), and you can not save this event.
This is absolutely correct behaviour.

For B) and C) both don't get a warning while overbooking.
IMHO for B) that is correct, because owners should be aware of their own appointments.

But for C) there should be at least a warning, perhaps even an error preventing saving
of such an event.

Steps To Reproduce

1) Create resource room_A with multipleBookings set to 1.
2) User user_A invites room_A to his event.
=> user_A books room_A

3) User user_B invites room_A to his event at the same date and time as user_A.
=> user_B gets error and can not save his event (== correct)

4) Give User user_C create privileges on room_A's personal calendar.
5) User_C creates event at the same date and time as user_A in room_A's personal
calendar.
=> this event is stored without any warning!
This should give either a warning and the choice to "save anyway" or to "cancel
saving",
or it should give an error like in 3)

TagsNo tags attached.

Activities

francis

francis

2014-02-03 11:06

administrator   ~0006470

Fixed.

See https://github.com/inverse-inc/sogo/commit/2f0419c18a17e2d88c0c43771b92541aa2cd645b

Christian Mack

Christian Mack

2014-02-24 03:40

developer   ~0006558

We tried it with the nightlies from 201402190006.
But it doesn't work.
You don't get any warning, if you have write permissions (not owner) and overbook a resource.

francis

francis

2014-02-24 08:00

administrator   ~0006559

Indeed, it was only fixed when modifying an existing event, not when creating a new one.

See https://github.com/inverse-inc/sogo/commit/2b6428efd084f7b09833cd7b854a737feb9f0f2d

Christian Mack

Christian Mack

2014-03-14 04:23

developer   ~0006705

Sorry to reopen again.
But I tried it with the nightlies 201403130007 and I still can overbook a resource as user with all privileges without getting a warning.

francis

francis

2014-03-14 09:31

administrator   ~0006707

We'll have this fixed some day!

He's another try :)

https://github.com/inverse-inc/sogo/commit/3c3bebeee350755d03648553b980f8d4f775d533

Issue History

Date Modified Username Field Change
2013-12-12 09:46 Christian Mack New Issue
2014-01-21 11:51 ludovic Target Version => 2.2.0
2014-02-03 11:06 francis Note Added: 0006470
2014-02-03 11:06 francis Status new => resolved
2014-02-03 11:06 francis Fixed in Version => 2.2.0
2014-02-03 11:06 francis Resolution open => fixed
2014-02-03 11:06 francis Assigned To => francis
2014-02-24 03:40 Christian Mack Note Added: 0006558
2014-02-24 03:40 Christian Mack Status resolved => feedback
2014-02-24 03:40 Christian Mack Resolution fixed => reopened
2014-02-24 08:00 francis Note Added: 0006559
2014-02-24 08:00 francis Status feedback => resolved
2014-02-24 08:00 francis Resolution reopened => fixed
2014-03-14 04:23 Christian Mack Note Added: 0006705
2014-03-14 04:23 Christian Mack Status resolved => feedback
2014-03-14 04:23 Christian Mack Resolution fixed => reopened
2014-03-14 09:31 francis Note Added: 0006707
2014-03-14 09:31 francis Status feedback => resolved
2014-03-14 09:31 francis Fixed in Version 2.2.0 => 2.2.2
2014-03-14 09:31 francis Resolution reopened => fixed